mod program;
mod shader;
mod snippets;

pub use program::Program;
pub use shader::{fetchcode, Shader};
pub use snippets::*;

pub trait CodeComponent: Sized {
    fn add_snippet_before(self, snippet: Snippet) -> Self;

    fn add_snippet_after(self, snippet: Snippet) -> Self;
}
